Bug 247048 - Initscript Review
Initscript Review
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rwall (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 09:58 EDT by Harald Hoyer
Modified: 2015-02-01 17:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 11:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 09:58:24 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Jiri Moskovcak 2007-07-09 09:34:43 EDT
Package Change Request
======================
Package Name: rwall
Updated Fedora Owners: jmoskovc@redhat.com

Note You need to log in before you can comment on or make changes to this bug.